Package fr.gouv.vitam.processing.distributor.rest

# Class ProcessDistributorResource

java.lang.Object
fr.gouv.vitam.processing.distributor.rest.ProcessDistributorResource

@Path("/processing/v1/worker_family") public class ProcessDistributorResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessDistributorResource(IWorkerManager workerManager)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `registerWorker(jakarta.ws.rs.core.HttpHeaders headers, String idFamily, String idWorker, WorkerBean workerInformation)`
  Register a new worker
  `jakarta.ws.rs.core.Response`
  `unregisterWorker(jakarta.ws.rs.core.HttpHeaders headers, String idFamily, String idWorker)`
  Unregister a specific worker family

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessDistributorResource

    public ProcessDistributorResource(IWorkerManager workerManager)
    Constructor
    Parameters:
      `workerManager` - a WorkerManager instance

- ## Method Details

  - ### registerWorker

    @Path("/{id_family}/workers/{id_worker}") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response registerWorker(@Context jakarta.ws.rs.core.HttpHeaders headers, @PathParam("id_family") String idFamily, @PathParam("id_worker") String idWorker, WorkerBean workerInformation)
    Register a new worker
    Parameters:
      `headers` - http header
      `idFamily` - the id of the family
      `idWorker` - the id of the worker
      `workerInformation` - information describing the worker to be registered
    Returns:
      Response the status of the registering

  - ### unregisterWorker

    @Path("/{id_family}/workers/{id_worker}") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response unregisterWorker(@Context jakarta.ws.rs.core.HttpHeaders headers, @PathParam("id_family") String idFamily, @PathParam("id_worker") String idWorker)
    Unregister a specific worker family
    Parameters:
      `headers` - http header
      `idFamily` - the id of the family
      `idWorker` - the id of the worker
    Returns:
      Response the status of the unregistering